<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.models.common"
   name="%pluginName"
   version="1.0.3"
   provider-name="%providerName"
   class="org.eclipse.hyades.models.common.common.CommonPlugin">

   <runtime>
      <library name="common_model.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.resources"/>      
      <import plugin="org.eclipse.emf.ecore" export="true"/>
      <import plugin="org.eclipse.emf.ecore.xmi" export="true"/>
      <import plugin="org.junit"/>
      <import plugin="org.apache.xerces"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.logging.core"/>
   </requires>


   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/common/behavior/interactions.xmi"
            class="org.eclipse.hyades.models.common.interactions.Common_Behavior_InteractionsPackage">
      </package>
   </extension>
   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/common/behavior/fragments.xmi"
            class="org.eclipse.hyades.models.common.fragments.Common_Behavior_FragmentsPackage">
      </package>
   </extension>
   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/common/testprofile.xmi"
            class="org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage">
      </package>
   </extension>
   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/common/configuration.xmi"
            class="org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage">
      </package>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="typedEvent"
            class="org.eclipse.hyades.loaders.common.XMLtypedEventLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="messageEvent"
            class="org.eclipse.hyades.loaders.common.XMLmessageEventLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="verdictEvent"
            class="org.eclipse.hyades.loaders.common.XMLverdictEventLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="invocationEvent"
            class="org.eclipse.hyades.loaders.common.XMLinvocationEventLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loaders_factory">
      <loadersFactory
            class="org.eclipse.hyades.loaders.common.ExecutionXMLLoadersFactory">
      </loadersFactory>
   </extension>

</plugin>
